{*****************************************************************************
 * Name           : KNGClasses                                               *
 * Author         : Lesage Stefaan                                           *
 * Version        : 1.0.0.10                                                 *
 * Last Revision  : 07/07/1999                                               *
 * Description    :                                                          *
 * History        :                                                          *
 *                                                                           *
 * Date       By              Description                                    *
 * ----       --              -----------                                    *
 * 03/07/1999 Lesage Stefaan  Initial creation of the Unit.                  *
 *****************************************************************************}

unit KNGClasses;

{$I KNG.INC}

interface

uses
  Classes;

type
  { Simply used to hold the string for the About Property }
  TKNGAboutString = string[10];

  { Subclass the TComponent }
  { This is done because we want to add the About property to the
    highest level in the VCL Hierarchy.  This way when creating new
    components that decend from TKNGComponent they will already have
    the About Property and the associated About Box.  Though it isn't
    used yet, I'll leave it here for later use. }
  TKNGComponent = class(TComponent)
  private
    FAbout    : TKNGAboutString;
    FOnChange : TNotifyEvent;
  protected
    procedure Change; dynamic;

    property About: TKNGAboutString read FAbout write FAbout;
    property OnChange: TNotifyEvent read FOnChange write FOnChange;
  end;

implementation

uses Dialogs;

{ TKNGComponent }

procedure TKNGComponent.Change;
begin
  if Assigned(FOnChange) then FOnChange(Self);
end;

end.
